#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
int main()
{
    int pid ,i;
    char str[10], *res;
    //int x;
    //int pids[x];

    pid = fork();

    if(pid==0)
    {

        FILE *fd=fopen("/home/me/Desktop/pipe","r");

        while(1)
        {
            res=fgets(str,10,fd);
            if(res!=NULL)
            {
                x=atoi(str); printf("x: %d.\n", x);
                system("ps -e -o pid,ppid,comm | grep uppg1");
                if(x <= 0)
                {
                    printf("Stopping daemon.\n");   //Avslutar programmet om siffran är lika med eller mindre än noll
                    return 0;
                }
                else
                {
                    printf("create %d pids under init", x);
                    for(i=0;i<x;i++)
                    {
                        pids[i] = fork();       //Skapar x antal barn
                    }
                    system("ps -e -o pid,ppid,comm | grep uppg1");
                    sleep(15);                  //Väntar 15 sekunder
                    for(i=0;i<x;i++)
                    {
                        if(pids[i]==0)
                        {
                            printf("pid %d successful\n", i); //Här ska dom avslutas igen
                        }
                    }
                    system("ps -e -o pid,ppid,comm | grep uppg1");
                }
            }
            sleep(1);
        }
    }
    return 0;
}
